%global srcname d2to1

Name:           python-%{srcname}
Version:        0.2.12
Release:        %mkrel 14
Summary:        Allows using distutils2-like setup.cfg files with setup.py

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/d2to1
Source0:        https://pypi.io/packages/source/d/%srcname/%srcname-%version.tar.gz
# Compatibility with the newer setuptools
Patch0:         setuptools-compatibility.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

%package -n     python3-%{srcname}
Summary:        Allows using distutils2-like setup.cfg files with setup.py
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files d2to1

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES.rst CONTRIBUTORS README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.2.12-14.mga10
+ Revision: 2238262
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.2.12-13.mga10
+ Revision: 2154696
- rebuild for python3.13

* Thu Dec 28 2023 daviddavid <daviddavid> 0.2.12-12.mga10
+ Revision: 2022923
- add fedora patch to fix compatibility with newer setuptools

* Mon Dec 11 2023 papoteur <papoteur> 0.2.12-11.mga10
+ Revision: 2017277
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.2.12-10.mga9
+ Revision: 1822557
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 0.2.12-9.mga9
+ Revision: 1774365
- Rebuild for python 3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.2.12-8.mga9
+ Revision: 1707539
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2.12-7.mga8
+ Revision: 1531846
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.2.12-6.mga8
+ Revision: 1441325
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.2.12-5.mga7
+ Revision: 1352325
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.12-4.mga7
+ Revision: 1288563
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.2.12-3.mga7
+ Revision: 1135360
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 daviddavid <daviddavid> 0.2.12-1.mga6
+ Revision: 902784
- new version: 0.2.12
- add python 3 subpackage
- use new python macros
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-7.mga5
+ Revision: 742048
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.10-6.mga5
+ Revision: 728222
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.10-5.mga5
+ Revision: 687956
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2.10-3.mga4
+ Revision: 543116
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.10-2.mga4
+ Revision: 498348
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.2.10-1.mga4
+ Revision: 460758
- imported package python-d2to1

